Subject: guix gc: error: executing SQLite statement: database disk image is malformed

From: Chris Marusich <[email-masked]>
Date: Tue, 16 Jul 2019 00:41:09 -0700

Hi,

My disk was filling up, so I tried to run "guix gc", but I got an error
instead:

--8<---------------cut here---------------start------------->8---
$ guix gc -C 25GiB
...
deleting `/gnu/store/n0gyzfw77ik35ld9d0d4737w88f11m4b-profile.drv'
deleting `/gnu/store/fl7w0dlki7c906isiiflf9ka4c49zcmi-ca-certificate-bundle.drv'
deleting `/gnu/store/ipn4xvvb3wrbx4lhzwdyyylvj42vyg6f-xdg-desktop-database.drv'
guix gc: error: executing SQLite statement: database disk image is malformed
--8<---------------cut here---------------end--------------->8---

What does this mean?  How concerned should I be?  How can I fix it?  I
looked for existing bug reports, but I didn't find anything.  I haven't
tried running the command a second time.

FYI, I was building one package using my Guix installation via "guix
build --cores=1", and another package using a Guix checkout via
"./pre-inst-env guix build --cores", when I decided to run this "guix
gc" command in another shell.  I don't know if that matters.  My
expectation is that I can run GC even when building software, thanks to
the guix-daemon's safe concurrent garbage collection algorithm.

-- 
Chris